Bug 1643871 - qdrouterd listens on 127.0.0.1 only
Summary: qdrouterd listens on 127.0.0.1 only
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-29 09:58 UTC by Evgeni Golov
Modified: 2019-10-07 17:17 UTC (History)
2 users (show)

Fixed In Version: qpid-dispatch-1.2.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:33 UTC

Description Evgeni Golov 2018-10-29 09:58:46 UTC
Description of problem:
Due to https://github.com/theforeman/puppet-foreman_proxy_content/commit/89b4ea988d18f100b806e7cddc2dca623b68f084, we do not set the "host" param in the listeners of /etc/qpid-dispatch/qdrouterd.conf
For qpid-dispatch 1.0 and newer (as we have upstream), this means to listen on *, but for 0.8 which we have in Satellite 6, this means to listen in 127.0.0.1

Version-Release number of selected component (if applicable):
Satellite 6.5 snap 1.0

How reproducible:
100%

Steps to Reproduce:
1. install satellite 6.5.0 snap 1

Actual results:
qdrouterd listens on 127.0.0.1
# netstat -tulpen |grep qdrouter
tcp        0      0 127.0.0.1:5646          0.0.0.0:*               LISTEN      994        185622     24314/qdrouterd     
tcp        0      0 127.0.0.1:5647          0.0.0.0:*               LISTEN      994        185621     24314/qdrouterd     


Expected results:
# netstat -tulpen |grep qdrouter
tcp        0      0 0.0.0.0:5646            0.0.0.0:*               LISTEN      994        27370438   17609/qdrouterd     
tcp        0      0 0.0.0.0:5647            0.0.0.0:*               LISTEN      994        27370437   17609/qdrouterd     

or even better, with IPv6 enabled:
$ sudo netstat -tulpen |grep qdrouter
tcp        0      0 0.0.0.0:5646            0.0.0.0:*               LISTEN      997        149610     13252/qdrouterd     
tcp        0      0 0.0.0.0:5647            0.0.0.0:*               LISTEN      997        149606     13252/qdrouterd     
tcp6       0      0 :::5646                 :::*                    LISTEN      997        149611     13252/qdrouterd     
tcp6       0      0 :::5647                 :::*                    LISTEN      997        149607     13252/qdrouterd     


Additional info:

Comment 5 Perry Gagne 2018-12-07 16:43:52 UTC
Verified fix in Sat 6.5 snap 7.

qdrouter now listens on all addresses (inc IPv6)

[root@ibm-x3250m4-06 ~]# sudo netstat -tulpen |grep qdrouter
tcp        0      0 0.0.0.0:5646            0.0.0.0:*               LISTEN      995        3315619    29181/qdrouterd
tcp        0      0 0.0.0.0:5647            0.0.0.0:*               LISTEN      995        3315615    29181/qdrouterd
tcp6       0      0 :::5646                 :::*                    LISTEN      995        3315620    29181/qdrouterd
tcp6       0      0 :::5647                 :::*                    LISTEN      995        3315616    29181/qdrouterd

Comment 8 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.